Package org.eclipse.lemminx.extensions.contentmodel.settings

## Class XMLDownloadExternalResourcesSettings

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.settings.XMLDownloadExternalResourcesSettings

    public class XMLDownloadExternalResourcesSettings
    extends Object

XML download external resources settings.

### Constructor Summary

Constructors
`XMLDownloadExternalResourcesSettings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEnabled()` Returns true if the external resources can be downloaded and false otherwise.
`void` `setEnabled​(boolean enabled)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLDownloadExternalResourcesSettings

    public XMLDownloadExternalResourcesSettings()

### Method Detail

#### setEnabled

    public void setEnabled​(boolean enabled)

#### isEnabled

    public boolean isEnabled()

Returns true if the external resources can be downloaded and false otherwise. An external resource can be declared with:

- DOCTYPE SYSTEM
- xml-model/@href
- xsi:noNamespaceSchemaLocation
- xsi:chemaLocation
- xs:include|xs:import/@schemaLocation

Returns:
  true if the external resources can be downloaded and false otherwise.